
@echo off
REM setlocal
@PROMPT [$p] 

echo.
echo Build VM Libaries (C 8.00)
echo --------------------------

:ARG1
if %1.==. goto HELP
set DEBUG=
if %1.==debug. goto ARG1DEBUG
if %1.==DEBUG. goto ARG1DEBUG
if %1.==release. goto ARG2
if %1.==RELEASE. goto ARG2
goto HELP
:ARG1DEBUG
set DEBUG=-DDEBUG

:ARG2
if not %2.==. goto HELP
goto OK

:HELP
cls
echo.
echo Usage:
echo.
echo               build "release|debug"
echo.
echo where:
echo.
echo "release" builds VM libraries for product release.
echo.
echo "debug" builds VM libraries for debugging.
echo.
goto EXIT

:OK

echo.
if %DEBUG%.==. echo Debugging disabled (release build).
if not %DEBUG%.==. echo Debugging Enabled (not for release).

rem ****
rem set VMDIR=c:\msvc\source\vm
if %VMDIR%.==. goto VMDIR_USAGE
goto VMDIR_OK
:VMDIR_USAGE
cls
echo.
echo Usage:
echo.
echo In order to use this batch file you must set the VMDIR envirnment variable.
echo This points to where the source for the VM source is based.
echo.
echo Example:
echo    If the source is in your C:\MSVC\SOURCE\VM directory, your DOS set command
echo    would be,
echo.
echo       SET VMDIR=C:\MSVC\SOURCE\VM
echo.
echo Just as a reminder - please make sure your "PATH, INCLUDE & LIB" environment
echo variables are set for Microsoft VC++ as well.
echo.
echo Exiting BUILD.BAT
echo.
goto EXIT
:VMDIR_OK
rem ****

set CC=cl
set AS=ml
set OLDINCLUDE=%INCLUDE%
set INCLUDE=%VMDIR%\h;%VMDIR%\inc;%INCLUDE%
set ASMINC=%VMDIR%\inc
set OLDPATH=%PATH%
set PATH=%VMDIR%\binr;%PATH%
set OBJS=%VMDIR%\objs
set EMSLIB=%OBJS%\ems.lib
set XMSLIB=%OBJS%\xms.lib
set SRCDIR=%VMDIR%\src

set COPT=-Oaxz
set MOPT=
if not %DEBUG%.==. set COPT=-Od -Zi
if not %DEBUG%.==. set MOPT=-Zi

echo.
echo --- EMS ---
echo.

set AFLAGS=-c -nologo -Cx -W3 %MOPT% -I%ASMINC% -DEMS %DEBUG%
cd %SRCDIR%
nmake -c -f makefile.ems ems
cd ..

echo.
echo --- XMS ---
echo.

set AFLAGS=-c -nologo -Cx -W3 %MOPT% -I%ASMINC% -DXMS %DEBUG%
cd %SRCDIR%
nmake -c -f makefile.xms xms
cd ..

echo.
echo --- DOS ---
echo.

set AFLAGS=-c -nologo -W3 %MOPT% -I%ASMINC% -DDOS %DEBUG%
set CFLAGS=-c -nologo -AL -NT VM_TEXT %COPT% -W3 -Zl -DDOS %DEBUG%
cd %SRCDIR%
nmake -c -f makefile dos
cd ..

set CC=
set AS=
set ASMINC=
set OBJS=
set EMSLIB=
set XMSLIB=
set SRCDIR=
set COPT=
set MOPT=
set AFLAGS=
set CFLAGS=

set INCLUDE=%OLDINCLUDE%
set PATH=%OLDPATH%
set OLDINCLUDE=
set OLDPATH=

echo.
echo --- Done!
:EXIT
REM ENDLOCAL
